gr::ieee802_15_4::interleaver_ii Class Reference

<+description of block+> More...

`#include <interleaver_ii.h>`

Inheritance diagram for gr::ieee802_15_4::interleaver_ii:
[legend]

## Public Types

typedef boost::shared_ptr< interleaver_ii > | sptr

## Static Public Member Functions

static sptr | make (std::vector< int > intlv_seq, bool forward)
| Return a shared_ptr to a new instance of ieee802_15_4::interleaver_ii. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<interleaver_ii> gr::ieee802_15_4::interleaver_ii::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::interleaver_ii::make | ( | std::vector< int > | intlv_seq,
|  | bool | forward
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::interleaver_ii.

To avoid accidental use of raw pointers, ieee802_15_4::interleaver_ii's constructor is in a private implementation class. ieee802_15_4::interleaver_ii::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- interleaver_ii.h